Bug 1129967 - usbdevice = "tablet" doesn't work with rhel5.11 xen guest
Summary: usbdevice = "tablet" doesn't work with rhel5.11 xen guest
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen
Version: 5.11
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Xen Maintainance List
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-14 05:55 UTC by Lingfei Kong
Modified: 2017-04-18 22:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-18 22:04:24 UTC


Attachments (Terms of Use)
usbdevice_2.png (194.52 KB, image/png)
2014-08-14 05:56 UTC, Lingfei Kong
no flags Details

Description Lingfei Kong 2014-08-14 05:55:04 UTC
Description of problem:
Add the following line to rhel5.11 xen guest's configure file and create the guest:
usbdevice = "tablet"

When enter into the graphical model, the mouse pointer appears to lag behind the small dot indicating the current position in the window(see attachment usbdevice_2.png).
It also doesn't work with rhel5.10 guest.

As rhel5.11 is the last rhel5 release and now at the end of  rhel5.11 release, also this bug is not a critical or regression bug, so it maybe not worth fixing it, just file it for documented purpose. 


Version-Release number of selected component (if applicable):
Guest: RHEL5.11-Server-20140731.0

Xen Host: RHEL5.11-Server-20140731.0
kernel-xen-2.6.18-398.el5
xen-3.0.3-144.el5

How reproducible:
100%

Steps to Reproduce:
1. Download rhel5.11 iso file as /root/boot.iso
2. Create raw format guest image:
# dd if=/dev/zero of=/var/lib/xen/images/hvm-5.11-64-1.img bs=1M count=1 seek=10000
3. Install the guest using the following vm configure file:
#cat hvm-5.11-64-1.cfg
name = "hvm-5.11-64-1"
maxmem = 1024
memory = 1024
vcpus = 4
builder = "hvm"
kernel = "/usr/lib/xen/boot/hvmloader"
boot = "d"
pae = 1
acpi = 1
apic = 1
sdl = 0
vnc = 1
vncunused = 1
vnclisten = "0.0.0.0"
keymap = "en-us"
on_poweroff = "rename-restart"
on_reboot = "rename-restart"
on_crash = "rename-restart"
device_model = "/usr/lib64/xen/bin/qemu-dm"
disk = ["tap:aio:/var/lib/xen/images/hvm-5.11-64-1.img,xvda,w","file:/root/boot.iso,hdc:cdrom,r"]
vif = [ "mac=00:16:36:43:73:e7,bridge=xenbr0,script=vif-bridge"]
serial = "pty"
usbdevice = "tablet"
usb=1

Actual results:
When enter into the graphical model,  the mouse pointer appears to lag behind the small dot indicating the current position in the window.

Expected results:
After the guest has been started and a new vncviewer session is established, the mouse pointer should track properly as the mouse is moved around the VNC window.

Additional info:

Comment 1 Lingfei Kong 2014-08-14 05:56:19 UTC
Created attachment 926654 [details]
usbdevice_2.png

Comment 2 Lingfei Kong 2014-08-15 00:28:16 UTC
It works well for RHEL6.6 and RHEL7.0

Comment 4 Chris Williams 2017-04-18 22:04:24 UTC
Red Hat Enterprise Linux 5 shipped it's last minor release, 5.11, on September 14th, 2014. On March 31st, 2017 RHEL 5 exited Production Phase 3 and entered Extended Life Phase. For RHEL releases in the Extended Life Phase, Red Hat  will provide limited ongoing technical support. No bug fixes, security fixes, hardware enablement or root-cause analysis will be available during this phase, and support will be provided on existing installations only.  If the customer purchases the Extended Life-cycle Support (ELS), certain critical-impact security fixes and selected urgent priority bug fixes for the last minor release will be provided.  For more details please consult the Red Hat Enterprise Linux Life Cycle Page:
https://access.redhat.com/support/policy/updates/errata

This BZ does not appear to meet ELS criteria so is being closed WONTFIX. If this BZ is critical for your environment and you have an Extended Life-cycle Support Add-on entitlement, please open a case in the Red Hat Customer Portal, https://access.redhat.com ,provide a thorough business justification and ask that the BZ be re-opened for consideration of an errata. Please note, only certain critical-impact security fixes and selected urgent priority bug fixes for the last minor release can be considered.


Note You need to log in before you can comment on or make changes to this bug.